View Issue Details

IDProjectCategoryView StatusLast Update
14606Feature requestsOtherpublic2020-03-02 15:31
Reportervisionit Assigned Tocdorin  
PrioritynoneSeverityfeature 
Status closedResolutionreopened 
Summary14606: Official Docker Image
Description

Hi,

I'd like to discuss the possibility of an official Docker Image. There are several Images already in the DockerHub by various people, and I think an official Image with blessing from the developers would be a benefit for the community.

I've already been working on something that meets a lot of the "Official Images" criteria. So with a little work and some feedback from the DockerHub maintainers it should be doable.

https://github.com/martialblog/docker-limesurvey

Cheers

TagsNo tags attached.

Activities

visionit

visionit

2019-03-05 18:16

reporter   ~50785

Sorry, just got word that there is already a discussion on Github https://github.com/LimeSurvey/LimeSurvey/pull/1233

Feel free to close this one.

DenisChenu

DenisChenu

2019-03-06 09:15

developer   ~50787

No it's great :)

visionit

visionit

2019-03-06 14:21

reporter   ~50794

As you can see in my repo, I already got a Dockerfile for php-apache and php-fpm (also in Alpine). I tried to adhere to the Docker Offifial Image guidlines: https://github.com/docker-library/official-images#contributing-to-the-standard-library

So readability and cacheability should be fine. It also includes a sha256 checksum for the tarball from GitHub.

And the entrypoint.sh takes care of configuring the application, as well as upgrading the database... but I'm sure that it be improved.

visionit

visionit

2019-04-05 12:54

reporter   ~51380

Jello, any updates on this?

ollehar

ollehar

2020-02-11 11:15

administrator   ~55854

We discussed it shortly and decided not to support any official docker images right now. There are already 114 docker images on the hub, in fact. So maybe join one of those attempts instead?

visionit

visionit

2020-02-14 10:00

reporter   ~55997

Hi, just to clarify: I think the point of an official Docker Image is that the people using it can be sure its content is signed by the developers. Yes there are many Images out there, but each maintainer might have their own special config need or some of them might even be malicious.

Thus, an official LimeSurvey image would be nice. So everyone can be sure it has the developers blessing.

Just wanted to get that of my chest, feel free to close this again.

Cheerio

Mazi

Mazi

2020-03-02 15:02

partner   ~56273

There is a docker container maintained by an authorised Limesurvey partner: https://github.com/adamzammit/limesurvey-docker

Issue History

Date Modified Username Field Change
2019-03-05 18:03 visionit New Issue
2019-03-05 18:16 visionit Note Added: 50785
2019-03-06 09:15 DenisChenu Note Added: 50787
2019-03-06 09:15 DenisChenu Assigned To => c_schmitz
2019-03-06 09:15 DenisChenu Status new => feedback
2019-03-06 14:21 visionit Note Added: 50794
2019-03-06 14:21 visionit Status feedback => assigned
2019-04-05 12:54 visionit Note Added: 51380
2020-02-11 11:15 ollehar Note Added: 55854
2020-02-11 11:15 ollehar Assigned To c_schmitz =>
2020-02-11 11:15 ollehar Status assigned => closed
2020-02-11 11:15 ollehar Resolution open => fixed
2020-02-11 11:15 ollehar Resolution fixed => won't fix
2020-02-14 10:00 visionit Status closed => feedback
2020-02-14 10:00 visionit Resolution won't fix => reopened
2020-02-14 10:00 visionit Note Added: 55997
2020-03-02 15:02 Mazi Note Added: 56273
2020-03-02 15:31 cdorin Assigned To => cdorin
2020-03-02 15:31 cdorin Status feedback => closed